# Interface ngeoGeolocationOptions

#### Hierarchy

- ngeoGeolocationOptions

- Defined in src/options.js:348

#####
Index

### Properties

accuracyFeatureStyle
atLoadingTime
autoRotate
positionFeatureStyle
zoom

## Properties

### accuracyFeatureStyle

accuracyFeatureStyle: StyleLike

The style to use to sketch the accuracy feature, which is a regular polygon.

- Defined in src/options.js:349

### atLoadingTime

atLoadingTime: boolean

Toggle geolocating at loading time if true.

- Defined in src/options.js:356

### autoRotate

autoRotate: boolean

Autorotate.

- Defined in src/options.js:355

### positionFeatureStyle

positionFeatureStyle: StyleLike

The style to use to sketch the position feature, which is a point.

- Defined in src/options.js:351

### zoom

zoom: number

If set, in addition to recentering the map view at the location, determines the zoom level to set when obtaining a new position

- Defined in src/options.js:353

Generated using TypeDoc